-------------------------------------------------------------------------
-- $Author: ururahy $
-- $Revision: 69100 $  - $Date: 2007-10-16 15:53:53 -0200 (Tue, 16 Oct 2007) $
-------------------------------------------------------------------------

-------------------------------------------------------------------------
-- Arquivo de configurao do SGA Daemon
-------------------------------------------------------------------------

-- Configurao padro dos ns
Default {
  csbase_platform_id = "No especificada",
  csbase_num_processors = 1,
  csbase_memory_ram_info_mb = 0,
  csbase_memory_swap_info_mb = 0,
  csbase_clock_speed_mhz = 0,
  csbase_file_separator = "/",
  csbase_project_root_directory = "../../projects", --Em relao ao SGA!
  csbase_algorithm_root_directory = "../../algorithms", --Em relao ao SGA!
  csbase_sandbox_root_directory = "/tmp/sandbox",
  csbase_byte_order = BIG_ENDIAN,
  csbase_disabled = NO,
  csbase_benchmarks = NO,
  csbase_net_benchmark = NO,
  csbase_cpu_capacity = NO_CAPACITY,
  csbase_reading_disk_capacity = NO_CAPACITY,
  csbase_writing_disk_capacity = NO_CAPACITY,
  csbase_enable_historic = NO,
  csbase_partition_name = "sda",
  csbase_net_interface_name = "eth0",
  -- csbase_requirements = {},
}

SGA {
  csbase_sga_name = "odin",
  csbase_platform_id = "Linux26g4_64",
  csbase_num_processors = 2,
}



-------------------------------------------------------------------------
-- Configurao dos SGAs
-------------------------------------------------------------------------
-- Para definir um SGA simples, basta definir seu nome e os campos
-- que so diferentes da configurao default.
-- Node{
--   name = "singleNode",
--   platform_id = "Linux24",
--   clock_speed_mhz = 1000,
--   memory_ram_info_mb = 2048,
--   memory_swap_info_mb = 5376,
--   byte_order = LITTLE_ENDIAN,
--   disabled = YES,
--   csfs = { properties = { HOST="kobke" } },
--   requirements = { "Excel" },
-- }

-- Para definir um cluster, pode-se utilizar 3 opoes.
-- Grupos:
--   No exemplo, as maquinas node01, node02 e node03 so do tipo "group1" e
--   as maquinas node04 e node05 so do tipo "group2"
-- SGAs definidos anteriormente:
--   No exemplo, a maquina single node ja foi definida.
-- A configurao default daquele grid:
--   No exemplo, a maquina otherNode segue a configurao default do
--   Grid.
-- Grid{
--   name = "myCluster",
--   machine_time_seconds = 20,
--   deny_node_selection = YES,
--   ids = { {"node01", "group1"}, "node02", "node03",
--           {"node04", "group2"}, "node05",
--            "singleNode", -- SGA simples definido anteriormente
--            "otherNode",  -- SGA no definido, usar a configurao
--   },                     -- default do Grid
--   default = {
--     num_processors = 2,
--     platform_id = "Windows",
--     clock_speed_mhz = 3060,
--     memory_ram_info_mb = 4096,
--     memory_swap_info_mb = 9728,
--     csfs = { properties = { HOST="node01" } },
--     byte_order = LITTLE_ENDIAN
--   },
--   groups = {
--     group1 = {
--         platform_id = "Linux24g3",
--         clock_speed_mhz = 1000,
--         memory_ram_info_mb = 3*1024,
--         memory_swap_info_mb = 16*1024,
--     },
--     group2 = {
--         platform_id = "Linux24",
--         clock_speed_mhz = 1000,
--         memory_ram_info_mb = 1024,
--         memory_swap_info_mb = 17216,
--     },
--   }
-- }
-------------------------------------------------------------------------
